#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Data;
using Syncfusion.Windows.Controls.Grid;

namespace DataTableDemo
{
    #region Add Command

    public class EmployeeAddBehavior : EmployeeCommandBehaviour<EmployeeDetail>
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="EmployeeAddBehavior"/> class.
        /// </summary>
        public EmployeeAddBehavior()
            : base((s, e) =>
            {
                ManipulatorViewModel viewModel = new ManipulatorViewModel(null, false);
                ManipulatorView addView = new ManipulatorView(viewModel);
                addView.Owner = Application.Current.MainWindow;

                if ((bool)addView.ShowDialog())
                {
                    return viewModel.EmployeeInfo;
                }
                return null;
            })
        { }
    }

    public class EmployeeAddCommand : EmployeeCommand<EmployeeDetail, EmployeeAddBehavior>
    { }

    #endregion
}
